/**
 * @function _tmpl
 * @private
 */

"use strict";

const fs = require('fs'),
    assert = require('assert'),
    stringcase = require('stringcase'),
    types = require('./types');

/** @lends _tmpl */
function _tmpl(type) {
    let filename = types[stringcase.camelcase(type).trim()];
    assert.ok(filename, "Type not found: " + type);
    return fs.readFileSync(__dirname + '/../' + filename).toString();
}

module.exports = _tmpl;
